Back to main index

debian-stable

Debian repositories are in /etc/apt/sources.list

deb       http://site.example.com/debian distribution component1 component2 component3
deb-src   http://site.example.com/debian distribution component1 component2 component3

Where
deb = binary
deb-src = source code
distribution = name alias (sqeeze, wheezy, jessie, sid) or release class (oldstable, stable, testing, unstable)
component = main contrib non-free

Add wheezy (stable as of 2014.08.10) closest mirror

deb      http://debian.netcologne.de/debian/    wheezy  main contrib non-free
deb-src  http://debian.netcologne.de/debian/    wheezy  main contrib non-free

Add wheezy multimedia closest mirror

deb     http://debian.netcologne.de/deb-multimedia.org      wheezy main non-free
deb-src http://debian.netcologne.de/deb-multimedia.org      wheezy main non-free

Update from the repositories

apt-get install deb-multimedia-keyring
apt-get update

Wheezy Backports - (to be used with precaution) { pepperflashplugin-nonfree }

deb http://debian.netcologne.de/debian wheezy-backports main contrib non-free

Here is how to install from backports

Public key not available (potential problem) see GPG error

Install some nice fonts


apt-get install fonts-liberation  ttf-mscorefonts-installer

Install the fonts packed with PowerPointViewer.exe
As of 12.2018 the .exe is no longer there.

cd ~/Downloads
wget http://download.microsoft.com/download/E/6/7/E675FFFC-2A6D-4AB0-B3EB-27C9F8C8F696/PowerPointViewer.exe
file PowerPointViewer.exe
md5sum PowerPointViewer.exe 

# s35ff8ebbea457ba426b47ff6d8377284  PowerPointViewer.exe 
sha256sum PowerPointViewer.exe 

# 249473568eba7a1e4f95498acba594e0f42e6581add4dead70c1dfb908a09423  PowerPointViewer.exe

stat PowerPointViewer.exe
apt-get install unar
unar PowerPointViewer.exe
cd PowerPointViewer/
less EULA
file EULA
iconv -f UTF16LE EULA | less
unar ppviewer.cab
cd ppviewer/
file * | grep font
cp *.TTF *.TTC ~/.fonts/

#-Take care with this
# cp *.TTF *.TTC  /usr/local/share/fonts

Install Adbobe PDF Reader

From deb-multimedia install

apt-get install acroread mozilla-acroread
apt-get install xchm  # kchmviewer - requires 80% of kde packages (not for xfce)

Install VirtualBox 4.1.18 or 4.3.12 from wheezy-backports, see here

No sound with version < 4.3.12

apt-get install linux-headers-$(uname -r|sed 's,[^-]*-[^-]*-,,')
apt-get install -t wheezy-backports virtualbox

Read how to install the nvidia driver

Read how to install skype

Enable multi-arch

dpkg --add-architecture i386
apt-get update

This may be obsolete.
Go to skype.com and download the latest .deb package

dpkg -i skype-debian_4.3.0.37-1_i386.deb   # replace version number

# it will fail with missing dependencies; fix it with:
apt-get install -f

# redo skype install command
dpkg -i skype-debian_4.3.0.37-1_i386.deb

# if it didn't work download the dynamic version
tar jxvf skype-4.2.0.13.tar.bz2

mv skype-4.2.0.13 /opt/
cd /opt
chown root:root skype-4.2.0.13
ln -s skype-4.2.0.13 skype
cd skype
emacs skype.desktop


# change the icon location to
Icon=/opt/skype/icons/SkypeBlue_256x256.png
cp skype.desktop /usr/share/applications/

# noticeable the dependencies are:
libasound2:i386
libaudio2:i386
libavahi-client3:i386
libavahi-common-data:i386
libavahi-common3:i386
libcups2:i386
libdbus-1-3:i386
libexpat1:i386
libffi6:i386
libfontconfig1:i386
libfreetype6:i386
libglib2.0-0:i386
libgmp10:i386
libgnutls28:i386
libgssapi-krb5-2:i386
libgstreamer-plugins-base0.10-0:i386
libgstreamer0.10-0:i386
libhogweed2:i386
libice6:i386
libjbig0:i386
libjpeg8:i386
libk5crypto3:i386
libkeyutils1:i386
libkrb5-3:i386
libkrb5support0:i386
liblcms1:i386
libmng1:i386
libnettle4:i386
liborc-0.4-0:i386
libp11-kit0:i386
libpng12-0:i386
libqt4-dbus:i386
libqt4-network:i386
libqt4-xml:i386
libqtcore4:i386
libqtdbus4:i386
libqtgui4:i386
libqtwebkit4:i386
libsm6:i386
libsqlite3-0:i386
libssl1.0.0:i386
libstdc++6:i386
libtasn1-6:i386
libtiff5:i386
libx11-6:i386
libxau6:i386
libxcb1:i386
libxdmcp6:i386
libxext6:i386
libxml2:i386
libxrender1:i386
libxss1:i386
libxt6:i386
libxv1:i386

PulseAudio is required by skype, virtualbox, etc

ps aux | grep pulse
apt-get install pulseaudio paprefs pavucontrol pavumeter paman

Continue with: gimp, pinta, etc


Back to main index